Merge resource-agents from Debian unstable for 22.04

Bug #1946897 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
resource-agents (Ubuntu)
Undecided
Lucas Kanashiro

Bug Description

Upstream: 4.9.0
Debian: 1:4.7.0-1
Ubuntu: 1:4.7.0-1ubuntu5

Debian typically updates resource-agents every 2 months on average, but it was last updated 20.12 and looks overdue. There is a new upstream version, however, so may be worth going ahead of debian and/or updating it in Debian and syncing it.

### New Debian Changes ###

resource-agents (1:4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
    - Stop building legacy rgmanager (rhel) agents
  * debian/control: update Maintainers mailing list
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.5.1
  * debian/watch: update version to 4
  * debian/rules: update for new version
  * debian/lintian-overrides: update for new version
  * debian/install: include pkgconfig file
  * debian/NEWS: drop old NEWS file

 -- Valentin Vidic <email address hidden> Mon, 14 Dec 2020 14:34:09 +0100

resource-agents (1:4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1
  * debian/control: use debhelper v13

 -- Valentin Vidic <email address hidden> Thu, 18 Jun 2020 21:03:31 +0200

resource-agents (1:4.5.0-2) unstable; urgency=medium

  * debian/tests: fix test for new bind9 version

 -- Valentin Vidic <email address hidden> Sun, 05 Apr 2020 20:10:00 +0200

resource-agents (1:4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * debian/patches: refresh for new version

 -- Valentin Vidic <email address hidden> Fri, 06 Mar 2020 19:50:58 +0100

resource-agents (1:4.4.0-3) unstable; urgency=medium

  * debian/salsa-ci.yml: enable CI
  * debian/control: update Standards-Version to 4.5.0
  * debian/tests: fix pgsql test for postgresql-12

 -- Valentin Vidic <email address hidden> Mon, 10 Feb 2020 19:10:10 +0100

resource-agents (1:4.4.0-2) unstable; urgency=medium

  * debian/patches: fix shell expansion in MailTo (Closes: #944694)
  * debian/resource-agents.lintian-overrides: cleanup

 -- Valentin Vidic <email address hidden> Sat, 16 Nov 2019 10:47:46 +0100

resource-agents (1:4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * debian/control: update Standards-Version to 4.4.1
  * debian/control: build using Rules-Requires-Root: no
  * debian/patches: refresh for new version
  * debian/control: use debhelper v12
  * debian/control: add Pre-Depends to ldirectord
  * debian/rules: fix output of gencontrol
  * debian/patches: mysql-common: fix startup check

 -- Valentin Vidic <email address hidden> Thu, 24 Oct 2019 20:18:24 +0200

resource-agents (1:4.3.0-2) unstable; urgency=medium

  * debian/patches: ZFS: fix bashism (Closes: #933398)

 -- Valentin Vidic <email address hidden> Sat, 17 Aug 2019 11:42:02 +0200

resource-agents (1:4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0 (Closes: #927311)
  * debian/patches: drop xen-toolstack.patch
  * debian/patches: refresh for new version
  * debian/control: update Standards-Version to 4.4.0

 -- Valentin Vidic <email address hidden> Sat, 13 Jul 2019 21:32:37 +0200

resource-agents (1:4.2.0-2) unstable; urgency=medium

  * debian/rules: fix build with merged-usr (Closes: #915848)
  * debian/patches: use /run for ldirectord pid file

 -- Valentin Vidic <email address hidden> Sun, 09 Dec 2018 21:04:49 +0100

resource-agents (1:4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0
  * debian/patches: refresh for new version

 -- Valentin Vidic <email address hidden> Wed, 24 Oct 2018 11:43:37 +0200

resource-agents (1:4.2.0~rc1-1) unstable; urgency=medium

  * New upstream version 4.2.0~rc1
  * debian/patches: refresh for new version
  * debian/lintian-overrides: ignore long lines in manpages
  * debian/copyright: update file paths
  * debian/rules: add python3 for gcp agents
  * debian/tests: require postgresql-11 to run the pgsql test

### Old Ubuntu Delta ###

resource-agents (1:4.7.0-1ubuntu5) impish; urgency=medium

  * d/curated-agents: add LVM-activate agent.
  * d/install-curated-agents: check if ocft config exists to install it.

 -- Lucas Kanashiro <email address hidden> Fri, 11 Jun 2021 16:12:05 -0300

resource-agents (1:4.7.0-1ubuntu4) impish; urgency=medium

  * Rename resource-agents with non-curated agents to resource-agents-extra.
    - d/control: rename the resource-agents binary package to
      resource-agents-extra.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'unsupported' term to 'non-curated'.
    - Rename RESOURCE_AGENTS_DIR to RESOURCE_AGENTS_EXTRA_DIR with the
      appropriate path in the following files:
      + d/install-common-files
      + d/install-common-files
      + d/install-supported-agents
      + d/resource-agents-cleanup
      + d/rules
  * Rename resource-agents-supported with curated agents to
    resource-agents-base.
    - d/control:
      + Rename resource-agents-supported binary package to resource-agents-base.
      + Update the short and long description to not use the 'supported' term.
      + Rename the supportedAgents substvar to curatedAgents.
    - d/curated-agents: new file, this is the renamed d/supported-agents file.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'supported' term to 'curated'.
    - d/install-common-files: Rename all the occurrences of the 'supported'
      term to 'curated'.
    - d/install-curated-agents: new file, this is the renamed
      d/install-supported-agents script.
    - d/rules: call d/install-curated-agents instead of
      d/install-supported-agents.
    - d/t/control: make IPaddr2 test depend on resource-agents-base instead of
      resource-agents-supported.
  * Create a transitional binary package called resource-agents.
    - d/control: add a new section for the transitional package, adding
      resource-agents-{base,extra} as dependencies.
  * d/control: add a missing Breaks/Replaces relation to the
    resource-agents-base.

 -- Lucas Kanashiro <email address hidden> Wed, 12 May 2021 16:15:15 -0300

resource-agents (1:4.7.0-1ubuntu3) impish; urgency=medium

  * d/control: make resource-agents recommend resource-agents-supported.

 -- Lucas Kanashiro <email address hidden> Mon, 03 May 2021 09:10:54 -0300

resource-agents (1:4.7.0-1ubuntu2) impish; urgency=medium

  * Create the resource-agents-common binary package with files to be shared
    by the supported and unsupported agents.
    - d/control: add a new paragraph for the new binary package and add it as
      a runtime dependency of resource-agents.
    - d/extract-agents-description: add this new script to extract agents
      description.
    - d/{ldirectord,resource-agents}.install: removed, now files are installed
      via rules file.
    - d/install-{common,ldirectord}-files: create those scripts to install files
      in resource-agents-common and ldirectord binary packages.
    - d/rules:
      + Override dh_auto_install to set the $DESTDIR variable.
      + Override dh_install to move files to the correspondent binary package.
      + Clean up the dh_gencontrol override, call the
        d/extract-agents-description shell script instead of implementing a
        complex logic in a Makefile.
  * Create the resource-agents-supported binary package.
    - d/control: add a new paragraph for the new binary package.
    - d/extract-agents-description: update the script to set also the new
      supportedAgents substvar.
    - d/install-supported-agents: add a shell script to manage the
      installation of all supported agents into the right binary package.
    - d/resource-agents-common.lintian-overrides: create this new file to move
      the lintian overrides previously present in resource-agents binary
      package.
    - d/resource-agents.lintian-overrides: remove the overrides referring to
      code moves to resource-agents-common.
    - d/rules: call the d/install-supported-agents shell script in the
      dh_install override.
    - d/supported-agents: add a file with a list of the supported agents.
    - d/t/control: make IPaddr2 test depend on resource-agents-supported
      instead of resource-agents.
  * Add python3 as a runtime dependency of resource-agents. Lintian complained
    about that.

 -- Lucas Kanashiro <email address hidden> Wed, 28 Apr 2021 09:39:00 -0300

resource-agents (1:4.7.0-1ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: Demote python3-googleapi to Suggests to avoid inclusion
      in Ubuntu main.
  * Dropped:
    - d/p/u/lp1895348-*: Post Release Fixes (LP #1895348):
      + [d22700fc] azure-lb: Don't redirect nc listener output to pidfile
      + [3b0ffc59] build: fix distcheck issue introduced by including
                   READMEs in heartbeat directory
      + [73551ac0] galera: Fix automatic recovery when a cluster was not
                   gracefully stopped
      [applied by upstream]

 -- Lucas Kanashiro <email address hidden> Mon, 18 Jan 2021 17:34:05 -0300

Changed in resource-agents (Ubuntu):
assignee: nobody → Lucas Kanashiro (lucaskanashiro)
Bryce Harrington (bryce)
description: updated
Changed in resource-agents (Ubuntu):
milestone: none → ubuntu-21.12
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers